kabc Library: KABC::PhoneNumber Class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::PhoneNumber Class Reference

Phonenumber information. More...

`#include <phonenumber.h>`

Collaboration diagram for KABC::PhoneNumber:

[legend]
List of all members.

## Public Types
typedef QValueList< PhoneNumber > | List
typedef QValueList< int > | TypeList
enum | Types { Home = 1, Work = 2, Msg = 4, Pref = 8, Voice = 16, Fax = 32, Cell = 64, Video = 128, Bbs = 256, Modem = 512, Car = 1024, Isdn = 2048, Pcs = 4096, Pager = 8192 }
## Public Member Functions
| PhoneNumber ()
| PhoneNumber (const QString &number, int type=Home)
| ~PhoneNumber ()
bool | operator== (const PhoneNumber &) const
bool | operator!= (const PhoneNumber &) const
void | setId (const QString &id)
QString | id () const
void | setNumber (const QString &)
QString | number () const
void | setType (int)
int | type () const
QString | typeLabel () const
QString | label () const
## Static Public Member Functions
static TypeList | typeList ()
static QString | typeLabel (int type)
static QString | label (int type)
## Friends
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const PhoneNumber &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, PhoneNumber &)

## Detailed Description

Phonenumber information.

This class provides phone number information. A phone number is classified by a type. The following types are available, it's possible to use multiple types Types for a number by combining them through a logical or.

Definition at line 38 of file phonenumber.h.

## Member Enumeration Documentation

enum KABC::PhoneNumber::Types

| `Home` - Home number `Work` - Office number `Msg` - Messaging `Pref` - Preferred number `Voice` - Voice `Fax` - Fax machine `Cell` - Cell phone `Video` - Video phone `Bbs` - Mailbox `Modem` - Modem `Car` - Car phone `Isdn` - ISDN connection `Pcs` - Personal Communication Service `Pager` - Pager Definition at line 63 of file phonenumber.h.

## Constructor & Destructor Documentation

PhoneNumber::PhoneNumber | ( |  | ) |

| Create an empty phone number object. Definition at line 28 of file phonenumber.cpp.

PhoneNumber::PhoneNumber | ( | const QString & | number,
|  | int | type = `Home`
| ) |

  | Create a phonenumber object. Parameters:
  | number | Number
  | type | Type as defined in enum. Multiple types can be specified by combining them by a logical or.
Definition at line 34 of file phonenumber.cpp. References number().

PhoneNumber::~PhoneNumber | ( |  | ) |

| Destructor. Definition at line 42 of file phonenumber.cpp.

## Member Function Documentation

void PhoneNumber::setId | ( | const QString & | id | ) |

| Sets the unique identifier. Definition at line 73 of file phonenumber.cpp. References id().

QString PhoneNumber::id | ( |  | ) | const

| Returns the unique identifier. Definition at line 78 of file phonenumber.cpp. Referenced by setId().

void PhoneNumber::setNumber | ( | const QString & |  | ) |

| Sets the number. Definition at line 83 of file phonenumber.cpp. References number().

QString PhoneNumber::number | ( |  | ) | const

| Returns the number. Definition at line 88 of file phonenumber.cpp. Referenced by PhoneNumber(), and setNumber().

void PhoneNumber::setType | ( | int |  | ) |

| Sets the type. Multiple types can be specified by combining them by a logical or. Definition at line 93 of file phonenumber.cpp.

int PhoneNumber::type | ( |  | ) | const

| Returns the type. Can be a multiple types combined by a logical or. Definition at line 98 of file phonenumber.cpp. Referenced by label(), and typeLabel().

QString PhoneNumber::typeLabel | ( |  | ) | const

| Returns a translated string of all types the address has. Definition at line 103 of file phonenumber.cpp. References QString::append(), QValueList::begin(), QValueList::end(), label(), type(), and typeList(). Referenced by label().

QString PhoneNumber::label | ( |  | ) | const

| Returns the translated label for phone number depending on its type. Definition at line 122 of file phonenumber.cpp. References type(), and typeLabel(). Referenced by typeLabel().

PhoneNumber::TypeList PhoneNumber::typeList | ( |  | ) | `[static]`

| Returns a list of all available types. Definition at line 127 of file phonenumber.cpp. References QValueList::isEmpty(). Referenced by typeLabel().

QString PhoneNumber::typeLabel | ( | int | type | ) | `[static]`

| Returns the translated label for phone number type. Definition at line 144 of file phonenumber.cpp.

QString PhoneNumber::label | ( | int | type | ) | `[static]`

| Returns the translated label for phone number type. Deprecated: Definition at line 139 of file phonenumber.cpp. References typeLabel().

The documentation for this class was generated from the following files:

- phonenumber.h
- phonenumber.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:52 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003